=== debian/watch ===
version=4
opts=pgpmode=auto \
 https://ftp.recompile.se/pub/@PACKAGE@/@PACKAGE@@ANY_VERSION@(?:\.orig)?@ARCHIVE_EXT@
