=== debian/control ===
--- 
+++ 
@@ -1,26 +1,28 @@
 Source: mandos
 Section: admin
 Priority: optional
-Maintainer: Mandos Maintainers <mandos@recompile.se>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Mandos Maintainers <mandos@recompile.se>
 Uploaders: Teddy Hogeborn <teddy@recompile.se>,
 	   Björn Påhlsson <belorn@recompile.se>
 Build-Depends: debhelper (>= 10), docbook-xml, docbook-xsl,
 	libavahi-core-dev, libgpgme-dev | libgpgme11-dev,
 	libgnutls28-dev (>= 3.3.0) | gnutls-dev (>= 3.3.0),
-	libgnutls28-dev (<< 3.6.0) | libgnutls30 (<< 3.6.0),
+	libgnutls28-dev (<< 3.7.0) | libgnutls30 (<< 3.7.0),
 	xsltproc, pkg-config, libnl-route-3-dev
 Build-Depends-Indep: systemd, python (>= 2.7), python (<< 3),
 	python-dbus, python-gi
-Standards-Version: 4.1.3
+Standards-Version: 4.2.0
 Vcs-Bzr: https://ftp.recompile.se/pub/mandos/trunk
 Vcs-Browser: https://bzr.recompile.se/loggerhead/mandos/trunk/files
 Homepage: https://www.recompile.se/mandos
+Rules-Requires-Root: binary-targets
 
 Package: mandos
 Architecture: all
 Depends: ${misc:Depends}, python (>= 2.7), python (<< 3),
 	libgnutls28-dev (>= 3.3.0) | libgnutls30 (>= 3.3.0),
-	libgnutls28-dev (<< 3.6.0) | libgnutls30 (<< 3.6.0),
+	libgnutls28-dev (<< 3.7.0) | libgnutls30 (<< 3.7.0),
 	python-dbus, python-gi, avahi-daemon, adduser, python-urwid,
 	gnupg2 | gnupg, systemd-sysv | lsb-base (>= 3.0-6)
 Recommends: ssh-client | fping
@@ -42,7 +44,7 @@
 Package: mandos-client
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, cryptsetup,
-	initramfs-tools, dpkg-dev (>=1.16.0)
+	initramfs-tools (>= 0.99), dpkg-dev (>=1.16.0)
 Recommends: ssh, gnutls-bin | openssl
 Breaks: dropbear (<= 0.53.1-1)
 Enhances: cryptsetup
