## mandos 1.8.2

=== Makefile ===
--- 
+++ 
@@ -40,7 +40,7 @@
 OPTIMIZE:=-Os -fno-strict-aliasing
 LANGUAGE:=-std=gnu11
 htmldir:=man
-version:=1.7.20
+version:=1.8.2
 SED:=sed
 
 USER:=$(firstword $(subst :, ,$(shell getent passwd _mandos || getent passwd nobody || echo 65534)))
@@ -284,7 +284,7 @@
 	./mandos-ctl --check
 
 # Run the client with a local config and key
-run-client: all keydir/seckey.txt keydir/pubkey.txt
+run-client: all keydir/seckey.txt keydir/pubkey.txt keydir/tls-privkey.pem keydir/tls-pubkey.pem
 	@echo "###################################################################"
 	@echo "# The following error messages are harmless and can be safely     #"
 	@echo "# ignored:                                                        #"
@@ -303,21 +303,15 @@
 	./plugin-runner --plugin-dir=plugins.d \
 		--plugin-helper-dir=plugin-helpers \
 		--config-file=plugin-runner.conf \
-		--options-for=mandos-client:--seckey=keydir/seckey.txt,--pubkey=keydir/pubkey.txt,--network-hook-dir=network-hooks.d \
+		--options-for=mandos-client:--seckey=keydir/seckey.txt,--pubkey=keydir/pubkey.txt,--tls-privkey=keydir/tls-privkey.pem,--tls-pubkey=keydir/tls-pubkey.pem,--network-hook-dir=network-hooks.d \
 		--env-for=mandos-client:GNOME_KEYRING_CONTROL= \
 		$(CLIENTARGS)
 
 # Used by run-client
-keydir/seckey.txt keydir/pubkey.txt: mandos-keygen
+keydir/seckey.txt keydir/pubkey.txt keydir/tls-privkey.pem keydir/tls-pubkey.pem: mandos-keygen
 	install --directory keydir
 	./mandos-keygen --dir keydir --force
 
 # Run the server with a local config
 run-server: confdir/mandos.conf confdir/clients.conf statedir
 	./mandos --debug --no-dbus --configdir=confdir \
-		--statedir=statedir $(SERVERARGS)
-
-# Used by run-server
-confdir/mandos.conf: mandos.conf
-	install --directory confdir
-	install --mode=u=rw,go=r $^ $@
