=== debian/control ===
--- 
+++ 
@@ -6,9 +6,8 @@
 	   Björn Påhlsson <belorn@recompile.se>
 Build-Depends: debhelper (>= 10), docbook-xml, docbook-xsl,
 	libavahi-core-dev, libgpgme-dev | libgpgme11-dev,
-	libgnutls28-dev (>= 3.3.0) | gnutls-dev (>= 3.3.0),
-	libgnutls28-dev (<< 3.6.0) | libgnutls30 (<< 3.6.0)
-	| libgnutls30 (>= 3.6.6),
+	libgnutls28-dev (>= 3.3.0),
+	libgnutls28-dev (>= 3.6.6) | libgnutls28-dev (<< 3.6.0),
 	xsltproc, pkg-config, libnl-route-3-dev
 Build-Depends-Indep: systemd, python (>= 2.7), python (<< 3),
 	python-dbus, python-gi
@@ -21,13 +20,13 @@
 Package: mandos
 Architecture: all
 Depends: ${misc:Depends}, python (>= 2.7), python (<< 3),
-	libgnutls28-dev (>= 3.3.0) | libgnutls30 (>= 3.3.0),
-	libgnutls28-dev (<< 3.6.0) | libgnutls30 (<< 3.6.0)
-	| libgnutls30 (>= 3.6.6),
+	libgnutls30 (>= 3.3.0),
+	libgnutls30 (>= 3.6.6) | libgnutls30 (<< 3.6.0),
 	python-dbus, python-gi, avahi-daemon, adduser, python-urwid,
 	gnupg2 | gnupg, systemd-sysv | lsb-base (>= 3.0-6),
 	debconf (>= 1.5.5) | debconf-2.0
 Recommends: ssh-client | fping
+Suggests: libc6-dev | libc-dev, c-compiler
 Description: server giving encrypted passwords to Mandos clients
  This is the server part of the Mandos system, which allows
  computers to have encrypted root file systems and at the
@@ -48,7 +47,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, adduser,
 	cryptsetup (<< 2:2.0.3-1) | cryptsetup-initramfs,
 	initramfs-tools (>= 0.99), dpkg-dev (>=1.16.0),
-	gnutls-bin (>= 3.6.6) | openssl (>= 1.1.0),
+	gnutls-bin (>= 3.6.6) | libgnutls30 (<< 3.6.0),
 	debconf (>= 1.5.5) | debconf-2.0
 Recommends: ssh
 Breaks: dropbear (<= 0.53.1-1)
