## mandos 1.8.5

=== Makefile ===
--- 
+++ 
@@ -10,10 +10,12 @@
 	-Wmissing-format-attribute -Wnormalized=nfc -Wpacked \
 	-Wredundant-decls -Wnested-externs -Winline -Wvla \
 	-Wvolatile-register-var -Woverlength-strings
-#DEBUG:=-ggdb3 -fsanitize=address 
-# For info about _FORTIFY_SOURCE, see feature_test_macros(7)
-# and <https://gcc.gnu.org/ml/gcc-patches/2004-09/msg02055.html>.
-FORTIFY:=-D_FORTIFY_SOURCE=2 -fstack-protector-all -fPIC
+
+#DEBUG:=-ggdb3 -fsanitize=address $(SANITIZE)
+## Check which sanitizing options can be used
+#SANITIZE:=$(foreach option,$(ALL_SANITIZE_OPTIONS),$(shell \
+#	echo 'int main(){}' | $(CC) --language=c $(option) \
+#	/dev/stdin -o /dev/null >/dev/null 2>&1 && echo $(option)))
 # <https://developerblog.redhat.com/2014/10/16/gcc-undefined-behavior-sanitizer-ubsan/>
 ALL_SANITIZE_OPTIONS:=-fsanitize=leak -fsanitize=undefined \
         -fsanitize=shift -fsanitize=integer-divide-by-zero \
@@ -23,11 +25,11 @@
         -fsanitize=object-size -fsanitize=float-divide-by-zero \
         -fsanitize=float-cast-overflow -fsanitize=nonnull-attribute \
         -fsanitize=returns-nonnull-attribute -fsanitize=bool \
-        -fsanitize=enum
-# Check which sanitizing options can be used
-SANITIZE:=$(foreach option,$(ALL_SANITIZE_OPTIONS),$(shell \
-	echo 'int main(){}' | $(CC) --language=c $(option) /dev/stdin \
-	-o /dev/null >/dev/null 2>&1 && echo $(option)))
+        -fsanitize=enum -fsanitize-address-use-after-scope
+
+# For info about _FORTIFY_SOURCE, see feature_test_macros(7)
+# and <https://gcc.gnu.org/ml/gcc-patches/2004-09/msg02055.html>.
+FORTIFY:=-D_FORTIFY_SOURCE=2 -fstack-protector-all -fPIC
 LINK_FORTIFY_LD:=-z relro -z now
 LINK_FORTIFY:=
 
@@ -40,11 +42,13 @@
 OPTIMIZE:=-Os -fno-strict-aliasing
 LANGUAGE:=-std=gnu11
 htmldir:=man
-version:=1.8.4
+version:=1.8.5
 SED:=sed
 
-USER:=$(firstword $(subst :, ,$(shell getent passwd _mandos || getent passwd nobody || echo 65534)))
-GROUP:=$(firstword $(subst :, ,$(shell getent group _mandos || getent group nogroup || echo 65534)))
+USER:=$(firstword $(subst :, ,$(shell getent passwd _mandos \
+	|| getent passwd nobody || echo 65534)))
+GROUP:=$(firstword $(subst :, ,$(shell getent group _mandos \
+	|| getent group nogroup || echo 65534)))
 
 ## Use these settings for a traditional /usr/local install
 # PREFIX:=$(DESTDIR)/usr/local
@@ -52,6 +56,7 @@
 # KEYDIR:=$(DESTDIR)/etc/mandos/keys
 # MANDIR:=$(PREFIX)/man
 # INITRAMFSTOOLS:=$(DESTDIR)/etc/initramfs-tools
+# DRACUTMODULE:=$(DESTDIR)/usr/lib/dracut/modules.d/90mandos
 # STATEDIR:=$(DESTDIR)/var/lib/mandos
 # LIBDIR:=$(PREFIX)/lib
 ##
@@ -62,6 +67,7 @@
 KEYDIR:=$(DESTDIR)/etc/keys/mandos
 MANDIR:=$(PREFIX)/share/man
 INITRAMFSTOOLS:=$(DESTDIR)/usr/share/initramfs-tools
+DRACUTMODULE:=$(DESTDIR)/usr/lib/dracut/modules.d/90mandos
 STATEDIR:=$(DESTDIR)/var/lib/mandos
 LIBDIR:=$(shell \
 	for d in \
@@ -86,11 +92,14 @@
 	getconf LFS_LDFLAGS)
 LIBNL3_CFLAGS:=$(shell pkg-config --cflags-only-I libnl-route-3.0)
 LIBNL3_LIBS:=$(shell pkg-config --libs libnl-route-3.0)
+GLIB_CFLAGS:=$(shell pkg-config --cflags glib-2.0)
+GLIB_LIBS:=$(shell pkg-config --libs glib-2.0)
 
 # Do not change these two
-CFLAGS+=$(WARN) $(DEBUG) $(FORTIFY) $(SANITIZE) $(COVERAGE) \
+CFLAGS+=$(WARN) $(DEBUG) $(FORTIFY) $(COVERAGE) \
 	$(OPTIMIZE) $(LANGUAGE) -DVERSION='"$(version)"'
-LDFLAGS+=-Xlinker --as-needed $(COVERAGE) $(LINK_FORTIFY) $(foreach flag,$(LINK_FORTIFY_LD),-Xlinker $(flag))
+LDFLAGS+=-Xlinker --as-needed $(COVERAGE) $(LINK_FORTIFY) $(strip \
+	) $(foreach flag,$(LINK_FORTIFY_LD),-Xlinker $(flag))
 
 # Commands to format a DocBook <refentry> document into a manual page
 DOCBOOKTOMAN=$(strip cd $(dir $<); xsltproc --nonet --xinclude \
@@ -102,9 +111,9 @@
 	/usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl \
 	$(notdir $<); \
 	if locale --all 2>/dev/null | grep --regexp='^en_US\.utf8$$' \
-	&& type man 2>/dev/null; then LANG=en_US.UTF-8 MANWIDTH=80 \
-	man --warnings --encoding=UTF-8 --local-file $(notdir $@); \
-	fi >/dev/null)
+	&& command -v man >/dev/null; then LANG=en_US.UTF-8 \
+	MANWIDTH=80 man --warnings --encoding=UTF-8 --local-file \
+	$(notdir $@); fi >/dev/null)
 
 DOCBOOKTOHTML=$(strip xsltproc --nonet --xinclude \
 	--param make.year.ranges		1 \
@@ -123,10 +132,12 @@
 	plugins.d/usplash plugins.d/splashy plugins.d/askpass-fifo \
 	plugins.d/plymouth
 PLUGIN_HELPERS:=plugin-helpers/mandos-client-iprouteadddel
-CPROGS:=plugin-runner $(PLUGINS) $(PLUGIN_HELPERS)
+CPROGS:=plugin-runner dracut-module/password-agent $(PLUGINS) \
+	$(PLUGIN_HELPERS)
 PROGS:=mandos mandos-keygen mandos-ctl mandos-monitor $(CPROGS)
 DOCS:=mandos.8 mandos-keygen.8 mandos-monitor.8 mandos-ctl.8 \
 	mandos.conf.5 mandos-clients.conf.5 plugin-runner.8mandos \
+	dracut-module/password-agent.8mandos \
 	plugins.d/mandos-client.8mandos \
 	plugins.d/password-prompt.8mandos plugins.d/usplash.8mandos \
 	plugins.d/splashy.8mandos plugins.d/askpass-fifo.8mandos \
@@ -204,6 +215,15 @@
 		overview.xml legalnotice.xml
 	$(DOCBOOKTOHTML)
 
+dracut-module/password-agent.8mandos: \
+		dracut-module/password-agent.xml common.ent \
+		overview.xml legalnotice.xml
+	$(DOCBOOKTOMAN)
+dracut-module/password-agent.8mandos.xhtml: \
+		dracut-module/password-agent.xml common.ent \
+		overview.xml legalnotice.xml
+	$(DOCBOOKTOHTML)
+
 plugins.d/mandos-client.8mandos: plugins.d/mandos-client.xml \
 					common.ent \
 					mandos-options.xml \
@@ -252,17 +272,21 @@
 		--expression='s/\(mandos_\)[0-9.]\+\(\.orig\.tar\.gz\)/\1$(version)\2/' \
 		$@)
 
-# Need to add the GnuTLS, Avahi and GPGME libraries, and can't use
-# -fsanitize=leak because GnuTLS and GPGME both leak memory.
+# Need to add the GnuTLS, Avahi and GPGME libraries
 plugins.d/mandos-client: plugins.d/mandos-client.c
-	$(CC) $(filter-out -fsanitize=leak,$(CFLAGS)) $(strip\
-	) $(GNUTLS_CFLAGS) $(AVAHI_CFLAGS) $(GPGME_CFLAGS) $(strip\
-		) $(CPPFLAGS) $(LDFLAGS) $(TARGET_ARCH) $^ $(strip\
-		) -lrt $(GNUTLS_LIBS) $(AVAHI_LIBS) $(strip\
-		) $(GPGME_LIBS) $(LOADLIBES) $(LDLIBS) -o $@
-
+	$(LINK.c) $^ $(GNUTLS_CFLAGS) $(AVAHI_CFLAGS) $(strip\
+		) $(GPGME_CFLAGS) $(GNUTLS_LIBS) $(strip\
+		) $(AVAHI_LIBS) $(GPGME_LIBS) $(LOADLIBES) $(strip\
+		) $(LDLIBS) -o $@
+
+# Need to add the libnl-route library
 plugin-helpers/mandos-client-iprouteadddel: plugin-helpers/mandos-client-iprouteadddel.c
 	$(LINK.c) $(LIBNL3_CFLAGS) $^ $(LIBNL3_LIBS) $(strip\
+		) $(LOADLIBES) $(LDLIBS) -o $@
+
+# Need to add the GLib and pthread libraries
+dracut-module/password-agent: dracut-module/password-agent.c
+	$(LINK.c) $(GLIB_CFLAGS) $^ $(GLIB_LIBS) -lpthread $(strip\
 		) $(LOADLIBES) $(LDLIBS) -o $@
 
 .PHONY : all doc html clean distclean mostlyclean maintainer-clean \
@@ -279,9 +303,13 @@
 maintainer-clean: clean
 	-rm --force --recursive keydir confdir statedir
 
-check:	all
+check: all
 	./mandos --check
 	./mandos-ctl --check
+	./mandos-keygen --version
+	./plugin-runner --version
+	./plugin-helpers/mandos-client-iprouteadddel --version
+	./dracut-module/password-agent --test
 
 # Run the client with a local config and key
 run-client: all keydir/seckey.txt keydir/pubkey.txt keydir/tls-privkey.pem keydir/tls-pubkey.pem
@@ -298,20 +326,3 @@
 	@echo "# (The messages are caused by not running as root, but you should #"
 	@echo "# NOT run \"make run-client\" as root unless you also unpacked and  #"
 	@echo "# compiled Mandos as root, which is also NOT recommended.)        #"
-	@echo "###################################################################"
-# We set GNOME_KEYRING_CONTROL to block pam_gnome_keyring
-	./plugin-runner --plugin-dir=plugins.d \
-		--plugin-helper-dir=plugin-helpers \
-		--config-file=plugin-runner.conf \
-		--options-for=mandos-client:--seckey=keydir/seckey.txt,--pubkey=keydir/pubkey.txt,--tls-privkey=keydir/tls-privkey.pem,--tls-pubkey=keydir/tls-pubkey.pem,--network-hook-dir=network-hooks.d \
-		--env-for=mandos-client:GNOME_KEYRING_CONTROL= \
-		$(CLIENTARGS)
-
-# Used by run-client
-keydir/seckey.txt keydir/pubkey.txt keydir/tls-privkey.pem keydir/tls-pubkey.pem: mandos-keygen
-	install --directory keydir
-	./mandos-keygen --dir keydir --force
-
-# Run the server with a local config
-run-server: confdir/mandos.conf confdir/clients.conf statedir
-	./mandos --debug --no-dbus --configdir=confdir \
